# Mint Token

#### Endpoint

<mark style="color:green;">`POST`</mark> `/api/v1/ERC721/{network}/mint-token`

> Executes the minting of an ERC-721 token of an existing smart contract.

{% hint style="info" %}
Check the [Networks](/getting-started/networks.md) section for replacing the `{network}` text in the Endpoint URL.
{% endhint %}

***

#### Headers

| Name          | Value                                                                                                                       |
| ------------- | --------------------------------------------------------------------------------------------------------------------------- |
| Content-Type  | `application/json`                                                                                                          |
| Authorization | [Xyxyx API Key](/getting-started/xyxyx-api-keys.md) or [XIN](https://docs.xyxyx.pro/protocol/xyxyx/xyxyx-issuer-nodes-xins) |

***

**Body**

<table><thead><tr><th width="239">Name</th><th width="216">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>contractAddress</code></td><td>string</td><td>Address of the smart contract that will issue the token</td></tr><tr><td><code>tokenId</code></td><td>integer</td><td>Token unique identifier</td></tr><tr><td><code>mintCost</code></td><td>integer</td><td>Amount required to mint a token</td></tr><tr><td><code>walletPrivateKey</code></td><td>string</td><td>Deployer private key for authorizing transaction</td></tr></tbody></table>

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true,
  "status": "Token minted successfully at address: {contractAddress}`",
  "hash": "1x111..."
}
```

{% endtab %}

{% tab title="400" %}

```javascript
{
  "success": false,
  "status": "Failed to mint token: {error.message}"
}
```

{% endtab %}

{% tab title="401" %}

```javascript
{
  "success": false,
  "status": "The wallet does not own any valid Xyxyx API Key or XIN",
}
```

{% endtab %}

{% tab title="429" %}

```javascript
{
  "success": false,
  "status": "This wallet has already consumed its 24-hour request quota"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.xyxyx.pro/api-endpoints/erc-721/mint-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
